"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parserTokens = void 0;
const const_1 = require("./const");
const getAttrs = (tok) => {
    const nodeAttrs = tok.attrs ? Object.fromEntries(tok.attrs) : {};
    nodeAttrs[const_1.CutAttr.Markup] = tok.markup;
    return nodeAttrs;
};
exports.parserTokens = {
    [const_1.CutNode.Cut]: { name: const_1.CutNode.Cut, type: 'block', getAttrs },
    [const_1.CutNode.CutTitle]: { name: const_1.CutNode.CutTitle, type: 'block' },
    [const_1.CutNode.CutContent]: { name: const_1.CutNode.CutContent, type: 'block' },
};
