import { FileHtmlAttr } from '@diplodoc/file-extension';
import type { AttributeSpec } from 'prosemirror-model';
export declare const yfmFileNodeName = "yfm_file";
export declare const YfmFileAttr: {
    readonly Markup: "data-markup";
    readonly Name: FileHtmlAttr.Download;
    readonly Link: FileHtmlAttr.Href;
    readonly ReferrerPolicy: FileHtmlAttr.ReferrerPolicy;
    readonly Rel: FileHtmlAttr.Rel;
    readonly Target: FileHtmlAttr.Target;
    readonly Type: FileHtmlAttr.Type;
    readonly Lang: FileHtmlAttr.HrefLang;
};
export declare const YFM_FILE_DIRECTIVE_ATTRS: readonly string[];
export declare const KNOWN_ATTRS: readonly string[];
export declare const REQUIRED_ATTRS: string[];
export declare const fileNodeAttrsSpec: Record<string, AttributeSpec>;
export declare const LINK_TO_FILE_ATTRS_MAP: Record<string, string>;
